﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Acop
{
  [ToolboxItem(true)]
  [ToolboxBitmap(typeof(AcopTriangle), "Triangle")]
  public partial class AcopTriangle : AcopShape
  {
    public AcopTriangle()
    {
      InitializeComponent();
      setShapeType(ShapeTypes.triangle);
    }
    /// <summary>
    /// establishes the basic shape of the triangle
    /// </summary>
    [Category("Acop.Display")]
    [Description("establishes the basic shape of the triangle")]
    public TriangleType TriangleShape { get { return triangleType; } set { setTriangleType(value); } }
  }
}
