﻿Public Class Form1
  ' useful arrays ...
  Dim hDisplay(3) As Integer
  Dim v(3)() As Single
  Dim ampl(3) As Single
  Dim colors() As Color = {Color.DarkBlue, Color.DarkRed, Color.DarkGreen, Color.Magenta}
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Dim i As Integer
    ' either here or in the designer property grid :
    With AcopLink1
      .LinkGrouped = True
      .LinkContext = "TEST"
      .LinkServer = "SineServer"
      .LinkProperty = "Sine"
    End With
    ' last assignments and start the links ...
    AcopLink1.LinkGrouped = True
    For i = 0 To 3
      ' chart things ...
      hDisplay(i) = -1
      v(i) = New Single(1023) {}
      AcopLink1.LinkDevice = "SineGen" + i.ToString()
      AcopLink1.Attach(v(i), Nothing, 0, 1000, Nothing)
      ' table things ...
      AcopTable1.SetValueForeColor(colors(i), i)
    Next
    ' and a link to the amplitude ...
    With AcopLink2
      .LinkContext = "TEST"
      .LinkServer = "SineServer"
      .LinkProperty = "Amplitude"
      .LinkDevice = "SineGen0"
    End With
    AcopLink2.Attach(ampl, Nothing, 0, 1000, Nothing)
    AcopChart1.XMax = 1024
    AcopChart1.XBestScale = False
  End Sub
  ' sine curve updates ...
  Private Sub AcopLink1_acopLinkUpdate(sender As Object, lnk As Acop.Link) Handles AcopLink1.acopLinkUpdate
    Dim i As Integer
    For i = 0 To 3
      If hDisplay(i) < 0 Then
        AcopChart1.ForegroundColor = colors(i)
        hDisplay(i) = AcopChart1.Draw(v(i))
        If (i = 3) Then AcopChart1.AutoScale(False, False, True, True)
      Else
          AcopChart1.RefreshScreen(v(i), hDisplay(i))
      End If
    Next

  End Sub
  ' amplitude updates ...
  Private Sub AcopLink2_acopLinkUpdate(sender As Object, lnk As Acop.Link) Handles AcopLink2.acopLinkUpdate
    If AcopTable1.InvokeRequired Then
      AcopTable1.LinkUpdateInvoker(AddressOf AcopLink2_acopLinkUpdate, sender, lnk)
      Exit Sub
    End If
    Dim i As Integer
    For i = 0 To 3
      If hDisplay(i) >= 0 Then
        AcopTable1.SetTableValue(i, 2, AcopChart1.GetYDataMax(hDisplay(i)).ToString())
        AcopTable1.SetTableValue(i, 3, AcopChart1.GetYDataMin(hDisplay(i)).ToString())
      End If
      AcopTable1.SetTableValue(i, 0, ampl(i).ToString())
    Next
  End Sub

  Private Sub AcopChart1_acopMsMove(sender As Object, e As Acop.AcopChartUtil.AcopEvent) Handles AcopChart1.acopMsMove
    Dim idx As Integer
    idx = e.GetArrayIndex()
    Dim i As Integer
    For i = 0 To 3
      AcopTable1.SetTableValue(i, 1, v(i)(idx).ToString())
    Next
  End Sub
End Class
